> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cocoondata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# <access-service>/api/v1/ldapconnections/availability

## URL structure&#x20;

```text theme={null}
https://access-service.xy-company.com/api/v1/ldap/verifyconnection
```

## Supported methods and overview&#x20;

* `POST` - verifies the connection to an [LDAP user directory](/3.4/admin-platform/configuring-ldap.md).

## Detailed description&#x20;

This API endpoint verifies the connection to an LDAP user directory.

With this request, a [core subset of LDAP connection parameters](/3.4/api/access-service-api-v1-ldapconnections-availability.md#access-service-api-v1-ldapconnections-availability-required-parameters) must be submitted, which includes the:

* address of the server running LDAP (along with the connection timeout duration),
* LDAP user directory's manager credentials (to perform LDAP authentication and synchronization),
* root node in LDAP from which the Covata Platform finds users and groups and
* LDAP field against which the Covata Platform matches the email address of a Covata user when they authenticate.

## Supported roles&#x20;

This API endpoint supports the following Covata user [roles](/3.4/admin-platform/administering-platform-administrator-users.md#platform-administrators-and-user-roles) (as described in the [Safe Share Administrator's Guide](/3.4/admin-platform.md)):

* [Safe Share administrator](/3.4/admin-platform/administering-platform-administrator-users.md#platform-administrator-role)

The Covata Platform's resources available to a Covata user meeting the criteria above is determined by the access token submitted in the [header](/3.4/api/access-service-api-v1-ldapconnections-availability.md#access-service-api-v1-ldapconnections-availability-required-headers) of requests to this endpoint.

## Required headers&#x20;

The appropriate access token as the `Bearer` token:

* `Authorization: Bearer eyJhbGciOiJSUzI1NiJ9.eyJleHAiOjE0NjcwMTY2NjYsInVzZXJfbmFtZSI6ImFsZXgub...`

The following header is required if the body of the request has a JSON object:

* `Content-Type: application/json`

## Required parameters&#x20;

The following required parameters must be sent in the **body** of the POST request, each as individual members of a **JSON object**:

* **serverUrl** - .
* **serverTimeout** - .
* **managerDN** - .
* **managerPassword** - .
* **baseDN** - .
* **authFilter** - . \

  **Example (request):**

## Returns&#x20;

If the request succeeded, then an HTTP response status `200 OK` is returned.


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.